mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.MethodInfo System.Runtime.InteropServices._MethodBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._MethodBuilder)) System.Runtime.InteropServices.ComVisible(true)

MethodBuilder is used to fully describe a method in Microsoft intermediate language (MSIL), including the name, attributes, signature, and method body. It is used in conjunction with the class to create classes at runtime.

Defines and represents a method (or constructor) on a dynamic class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  can be called several times, with each call specifying a security action (such as Demand, Assert, and Deny) and a set of permissions that the action applies to.

  In the .NET Framework versions 1.0, 1.1, and 2.0, the declarative security attributes applied to a method by using the method are stored in the old XML metadata format. See Emitting Declarative Security Attributes.

  Adds declarative security to this method.

  The security action to be taken (Demand, Assert, and so on). The set of permissions the action applies to.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes To be added. To be added.

  Retrieves the attributes for this method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.CallingConventions To be added. To be added.

  Returns the calling convention of the method.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A always represents a generic method definition, and thus cannot be invoked.

  For more information, see and . For information on generic types, see .

  Not supported for this type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method creates the method's body from , an array containing MSIL instructions as opcodes. The number of bytes of valid MSIL is given by count.

  This is currently not fully supported. The user cannot supply the location of token fix ups and exception handlers.

  Creates the body of the method using a supplied byte array of Microsoft intermediate language (MSIL) instructions.

  An array containing valid MSIL instructions. If this parameter is null, the method's body is cleared. The number of valid bytes in the MSIL array. This value is ignored if MSIL is null.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Returns the type that declares this method.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.GenericTypeParameterBuilder[] `System.ParamArray`

  Calling the method makes the current method generic. There is no way to undo this change. Calling this method a second time causes an .

  The type parameters of the generic method can be retrieved later by using the method.

  By convention, a type parameter name is a single uppercase letter.

  For more information, see and . For information on generic types, see .

  Sets the number of generic type parameters for the current method, specifies their names, and returns an array of objects that can be used to define their constraints.

  An array of objects representing the type parameters of the generic method.

  An array of strings that represent the names of the generic type parameters.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ParameterBuilder `` `` ``

  The object returned by this method can be used to set the default value for a parameter or to apply custom attributes.

  Parameter numbering begins with 1, so is 1 for the first parameter. If is zero, this method affects the return value.

  In the .NET Framework versions 1.0 and 1.1, an exception is thrown if is zero, so this method cannot be used to modify attributes of the return value in those versions.

  Sets the parameter attributes and the name of a parameter of this method, or of the return value of this method. Returns a ParameterBuilder that can be used to apply custom attributes.

  Returns a ParameterBuilder object that represents a parameter of this method or the return value of this method.

  The position of the parameter in the parameter list. Parameters are indexed beginning with the number 1 for the first parameter; the number 0 represents the return value of the method. The parameter attributes of the parameter. The name of the parameter. The name can be the null string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Equality is determined by having the same name, attributes, and signature.

  Determines whether the given object is equal to this instance.

  true if is an instance of MethodBuilder and is equal to this object; otherwise, false.

  The object to compare with this MethodBuilder instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This always returns the current MethodBuilder object.

  Return the base implementation for a method.

  The base implementation of this method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` To be added.

  Returns all the custom attributes defined for this method.

  Returns an array of objects representing all the custom attributes of this method.

  Specifies whether to search this member's inheritance chain to find the custom attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` `` To be added.

  Returns the custom attributes identified by the given type.

  Returns an array of objects representing the attributes of this method that are of type .

  The custom attribute type. Specifies whether to search this member's inheritance chain to find the custom attributes.
- Method
  2.0.0.0
  4.0.0.0
  System.Type[]

  The type parameters of a generic method also are returned by the method that is used to define them.

  For more information, see and . For information on generic types, see .

  Returns an array of objects that represent the type parameters of the method, if it is generic.

  An array of objects representing the type parameters, if the method is generic, or null if the method is not generic.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  A cannot be used to emit a constructed generic method directly. The emitted method is a generic method definition.

  For more information, see and . For information on generic types, see .

  Returns this method.

  The current instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code for this method.

  The hash code for this method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ILGenerator To be added

  Returns an ILGenerator for this method with a default Microsoft intermediate language (MSIL) stream size of 64 bytes.

  Returns an ILGenerator object for this method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ILGenerator `` To be added

  Returns an ILGenerator for this method with the specified Microsoft intermediate language (MSIL) stream size.

  Returns an ILGenerator object for this method.

  The size of the MSIL stream, in bytes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes To be added.

  Returns the implementation flags for the method.

  Returns the implementation flags for the method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added

  Returns a reference to the module that contains this method.

  Returns a reference to the module that contains this method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterInfo[] To be added.

  Returns the parameters of this method.

  An array of ParameterInfo objects that represent the parameters of the method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodToken To be added

  Returns the MethodToken that represents the token for this method.

  Returns the MethodToken of this method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  If this property is set to true, the emitted MSIL includes initialization of local variables. If it is set to false, local variables are not initialized and the generated code is unverifiable.

  Gets or sets a Boolean value that specifies whether the local variables in this method are zero initialized. The default value of this property is true.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` ``

  If the method is static, the parameter is ignored. For non-static methods, should be an instance of a class that inherits or declares the method and must be the same type as this class. If the method has no parameters, the value of should be null. Otherwise the number, type, and order of elements in the parameters array should be identical to the number, type, and order of parameters for the method reflected by this instance.

  Access restrictions are ignored for fully-trusted code. That is, private constructors, methods, fields, and properties can be accessed and invoked using Reflection whenever the code is fully-trusted.

  Dynamically invokes the method reflected by this instance on the given object, passing along the specified parameters, and under the constraints of the given binder.

  Returns an object containing the return value of the invoked method.

  The object on which to invoke the specified method. If the method is static, this parameter is ignored. This must be a bit flag from : InvokeMethod, NonPublic, and so on. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects via reflection. If binder is null, the default binder is used. For more details, see . An argument list. This is an array of arguments with the same number, order, and type as the parameters of the method to be invoked. If there are no parameters this should be null. An instance of used to govern the coercion of types. If this is null, the for the current thread is used. (Note that this is necessary to, for example, convert a that represents 1000 to a value, since 1000 is represented differently by different cultures.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Checks if the specified custom attribute type is defined.

  true if the specified custom attribute type is defined; otherwise, false.

  The custom attribute type. Specifies whether to search this member's inheritance chain to find the custom attributes.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A method is generic if it has type parameters. You can make a method generic by calling the method to add type parameters. This change cannot be reversed.

  Gets a value indicating whether the method is a generic method.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A can only be used to create generic method definitions; it cannot be used to create a constructed generic method directly. However, a subclass of might represent a constructed generic method.

  Gets a value indicating whether the current object represents the definition of a generic method.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `System.ParamArray`

  When you are emitting dynamic code, you might need to emit a call to a method constructed from the generic method definition represented by a , before the enclosing type has been completed. You can use the method to create a for such a constructed method, and use the in the emitted call.

  Returns a generic method constructed from the current generic method definition using the specified generic type arguments.

  A representing the generic method constructed from the current generic method definition using the specified generic type arguments.

  An array of objects that represent the type arguments for the generic method.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeMethodHandle To be added. To be added.

  Retrieves the internal handle for the method. Use this handle to access the underlying metadata handle.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added.

  This property is provided as a convenience. It is equivalent to using the property to get the type in which the method is being declared, and then calling the property of the resulting object.

  This property is also equivalent to calling .

  Gets the module in which the current method is being defined.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Retrieves the name of this method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Retrieves the class that was used in reflection to obtain this object.

- Property
  4.0.0.0
  System.Reflection.ParameterInfo To be added.

  Compiler designers can use the object returned by this property to discover whether custom modifiers, such as , have been applied to the return type.

  Gets a object that contains information about the return type of the method, such as whether the return type has custom modifiers.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  Starting with the .NET Framework 2.0 and the .NET Compact Framework 2.0, this member is inherited from the base class, . See .

  Gets the return type of the method represented by this .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ICustomAttributeProvider To be added.

  This method always returns null. Get the after the containing has been created and invoked on the .

  Returns the custom attributes of the method's return type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method can interact with the method when the two methods are used in combination. See the Remarks section of the method for details.

  Sets a custom attribute using a custom attribute builder.

  An instance of a helper class to describe the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  For details on how to format , see the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  The method can interact with the method when the two methods are used in combination. See the Remarks section of the method for details.

  Sets a custom attribute using a specified custom attribute blob.

  The constructor for the custom attribute. A byte blob representing the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  When you use the method in combination with the method, be aware of potential interactions. For example, using the method to add the attribute also sets the flag. If you subsequently call the method, the flag is overwritten. There are two ways to avoid this:

  Call the method before you call the method. The method always respects existing method implementation flags.

  When you set implementation flags, call the method to retrieve the existing flags, use bitwise OR to add your flag, and then call the method.

  Sets the implementation flags for this method.

  The implementation flags to set.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("An alternate API is available: Emit the MarshalAs custom attribute instead.")
  System.Void `` To be added

  Sets marshaling information for the return type of this method.

  Marshaling information for the return type of this method.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `System.ParamArray`

  If the number and types of the parameters are known when the method is defined, they can be set using any overload of the method that accepts an array of parameter types. However, a generic method can have parameters whose types are specified by one or more of its own generic type parameters, which cannot be defined until after the method has been defined. Use this method to set the parameter types in that case.

  If the return type has optional or required custom modifiers, such as , use the method overload.

  Calling this method replaces any parameter types that were set using the method.

  Sets the number and types of parameters for a method.

  An array of objects representing the parameter types.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use this method to set the return type of a generic method, when the return type is specified by one of the generic type parameters of the method. If the return type has optional or required custom modifiers, such as , use the method overload.

  Calling this method replaces a return type established using the method.

  Sets the return type of the method.

  A object that represents the return type of the method.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` ``

  If the return type and the number and types of the parameters are known when the method is defined, they can be established using any overload of the method that accepts an array of parameter types. However, a generic method can have parameters whose types are specified by one or more of its own generic type parameters, which cannot be defined until after the method has been defined. Use this method to set the parameter types in that case.

  If neither the return type nor the parameter types have optional or required custom modifiers, such as , you can use the and methods.

  Calling this method replaces the parameters and return type established using the method.

  Sets the method signature, including the return type, the parameter types, and the required and optional custom modifiers of the return type and parameter types.

  The return type of the method. An array of types representing the required custom modifiers, such as , for the return type of the method. If the return type has no required custom modifiers, specify null. An array of types representing the optional custom modifiers, such as , for the return type of the method. If the return type has no optional custom modifiers, specify null. The types of the parameters of the method. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding parameter, such as . If a particular parameter has no required custom modifiers, specify null instead of an array of types. If none of the parameters have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding parameter, such as . If a particular parameter has no optional custom modifiers, specify null instead of an array of types. If none of the parameters have optional custom modifiers, specify null instead of an array of arrays.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Unlike the metadata custom attribute, this custom attribute is associated with a symbol writer.

  Set a symbolic custom attribute using a blob.

  The name of the symbolic custom attribute. The byte blob that represents the value of the symbolic custom attribute.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Retrieves the signature of the method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns this MethodBuilder instance as a string.

  Returns a string containing the name, attributes, method signature, exceptions, and local signature of this method followed by the current Microsoft intermediate language (MSIL) stream.